// WARNING: This file has been generated. Any manual changes must be made within preserved regions or they will be lost.

//===============================================================================
//
// WidgetTests
//
// PURPOSE: 
// Tests the functionality of Widget.
//
// NOTES: 
// 
//
//===============================================================================
//
// Copyright (C) 2003 Wallis Software Solutions
// All rights reserved.
//
// THIS CODE AND INFORMATION IS PROVIDED 'AS IS' WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR
// FITNESS FOR A PARTICULAR PURPOSE.
//
//===============================================================================

using NUnit.Framework;

namespace Agile.Common.Testing.Tests
{
    /// <summary>
    /// Tests the functionality of Widget.
    /// </summary>
    [TestFixture]
    public class WidgetTests
    {
        /// <summary>
        /// Verifies we can create a new widget
        ///     - Instantiate a new widget with the factory
        ///     - Check the name was set.
        /// </summary>
        [Test]
        public void InstantiateTests()
        {
            // Instantiate a new widget with the factory
            Widget widget = Widget.Build("agile");
            // Check the name was set.
            Assert.AreEqual("agile", widget.Name, "Check the name was set.");
        }
    }
}