namespace Agile.Common.Loggers
{
    /// <summary>
    /// Logger interface
    /// </summary>
    public interface ILogger
    {
        /// <summary>
        /// Write message to the log.
        /// </summary>
        void Write(string message);

        /// <summary>
        /// Write message to the log.
        /// </summary>
        void Write(string message, params object[] args);
    }
}