namespace Agile.Common.Reflections
{
    /// <summary>
    /// A public interface to be used by all custom plugins
    /// </summary>
    public interface IPlugin
    {
        /// <summary>
        /// Make the plugin perform the action
        /// </summary>
        /// <param name="actionToPerform"></param>
        void PerformAction(CommonFunctions.SimpleFunction actionToPerform);
    }
}