﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Agile.Common.Loggers;

namespace NantGenie
{
    /// <summary>
    /// Just writes stuff to the console
    /// </summary>
    public class ConsoleLogger : ILogger
    {
        #region ILogger Members

        /// <summary>
        /// Output the text to the console.
        /// </summary>
        public void Write(string text)
        {
            Console.WriteLine(text);
        }

        /// <summary>
        /// Output the text to the console.
        /// </summary>
        public void Write(string message, params object[] args)
        {
            Console.WriteLine(message, args);
        }
        #endregion
    }
}
