﻿using System.Diagnostics;

namespace Agile.Common.Loggers
{
    /// <summary>
    /// Default logger
    /// </summary>
    public class DebugLogger : ILogger
    {
        #region ILogger Members
        /// <summary>
        /// Write message to the log.
        /// </summary>
        public void Write(string message)
        {
            Debug.WriteLine(message);
        }
        /// <summary>
        /// Write message to the log.
        /// </summary>
        public void Write(string message, params object[] args)
        {
            Debug.WriteLine(string.Format(message, args));
        }

        /// <summary>
        /// remove this later
        /// </summary>
private void DoNothingJustTesting()
{
  
}
        #endregion
    }
}